// priority: 0

console.info('Hello, World! (You will see this line every time client resources reload)')



// priority: 0

ItemEvents.tooltip(event => {

	event.add('exnihilosequentia:birch_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:acacia_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:dark_oak_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:jungle_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:crimson_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:spruce_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:warped_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])

	event.add('evilcraft:blood_infuser', [ [Text.of('We need some blood to do magic.').darkRed()],])

	event.add('immersiveengineering:plate_aluminum', [ [Text.of('Actually it is aluminum, not aluminium.').darkGray()],])
  
	event.add('kubejs:devilish_horn', [ [Text.of('I love you, with my all heart.').darkGray()],])
	event.add('kubejs:devilish_horn', [ [Text.of('No matter what.').darkGray()],])

	event.add('kubejs:reinforced_obsidian', [ [Text.of('Actually Witherproof and Dragonproof').green()],])

	event.addAdvanced('ars_nouveau:source_gem', (item, advanced, text) => {
		text.remove(1)
	})





  })
  






JEIEvents.hideItems(event => {

	event.hide('createaddition:copper_rod')
	event.hide('createaddition:gold_rod')

	event.hide('create:copper_sheet')
	event.hide('immersiveengineering:plate_copper')

	event.hide('gag:time_sand_pouch')
	event.hide('exnihilosequentia:mangrove_sieve')

	event.hide('exnihilosequentia:acacia_sieve')
	event.hide('exnihilosequentia:spruce_sieve')
	event.hide('exnihilosequentia:crimson_sieve')
	event.hide('exnihilosequentia:jungle_sieve')
	event.hide('exnihilosequentia:dark_oak_sieve')
	event.hide('exnihilosequentia:birch_sieve')
	event.hide('exnihilosequentia:warped_sieve')

	event.hide('extendedcrafting:handheld_table')
	event.hide('cyclic:crafting_stick')
	event.hide('cyclic:crafting_bag')
	
	event.hide('exnihilosequentia:crimson_crucible')
	event.hide('exnihilosequentia:warped_crucible')

	event.hide('cyclic:compressed_cobblestone')
	event.hide('botania:apothecary_default')
	event.hide('botania:apothecary_forest')
	event.hide('botania:apothecary_plains')
	event.hide('botania:apothecary_mountain')
	event.hide('botania:apothecary_fungal')
	event.hide('botania:apothecary_swamp')
	event.hide('botania:apothecary_desert')
	event.hide('botania:apothecary_taiga')
	event.hide('botania:apothecary_mesa')
	event.hide('botania:apothecary_mossy')
	event.hide('botania:apothecary_deepslate')

	event.hide('ae2:logic_processor')
	event.hide('ae2:calculation_processor')
	event.hide('ae2:engineering_processor')
	event.hide('ae2:facade')

	event.hide('farmersdelight:rich_soil')

	event.hide('occultism:obsidian_dust')
	event.hide('ftbic:obsidian_dust')
	event.hide('ftbic:tin_dust')

	event.hide('easy_villagers:iron_farm')
	event.hide('easy_villagers:incubator')
	event.hide('ae2:silicon')
	event.hide('angelring:leadstone_angel_ring')
	event.hide('angelring:hardened_angel_ring')
	event.hide('angelring:reinforced_angel_ring')
	event.hide('angelring:resonant_angel_ring')
	event.hide('utilitix:experience_crystal')
	event.hide('easy_villagers:iron_farm')
	event.hide('easy_villagers:iron_farm')

	event.hide('pamhc2foodcore:fruitsaladitem')
	event.hide('thermal:ender_pearl_dust')
	event.hide('mekanism:dust_quartz')
	event.hide('ftbic:ender_dust')
	event.hide('create:powdered_obsidian')
	event.hide('ftbic:diamond_dust')

	event.hide(/botanypotstiers:(?!elite_terracotta_botany_pot|elite_terracotta_hopper_botany_pot|ultra_terracotta_botany_pot|ultra_terracotta_hopper_botany_pot|creative_terracotta_botany_pot|creative_terracotta_hopper_botany_pot)/)

	event.hide(/botanicalmachinery:(?!mechanical_apothecary|mechanical_runic_altar|mana_emerald|mana_emerald_block)/)



	event.hide('infused_crystals:chargerblock')
	event.hide('cyclic:crafter')
	event.hide('eliquary:rending_gale')
	event.hide('notenoughwands:acceleration_wand')
	event.hide('apotheosis:potion_charm')
	event.hide('cyclic:chorus_flight')
	event.hide('#pneumaticcraft:fluid_tanks')
	event.hide('ftbic:gold_wire')
	event.hide('ftbic:copper_wire')
	event.hide('ftbic:aluminum_wire')

	event.hide('kubejs:in_bloody_mechanism')
	event.hide('kubejs:in_creative_blaze_cake')
	event.hide('kubejs:in_starmetal_ingot')
	event.hide('kubejs:in_enriched_iron')
	event.hide('kubejs:in_rf_coil')
	event.hide('cyclic:soundproofing_ghost')







//event.hide({
//"type": "forge:nbt",
//"item": "ironjetpacks:capacitor",
//"count": 1,
//"nbt": "{Id:\"ironjetpacks:iron\"}"})


//

//event.hide({
//	"type": "forge:nbt",
//	"item": "ironjetpacks:jetpack",
//	"count": 1,
//	"nbt": "{Id:\"ironjetpacks:stone\",Throttle:1.0d}"
//  })













})

JEIEvents.information(event =>{
	event.addItem('deeperdarker:heart_of_the_deep', ['If you dont want to spend tons of mana to duplicate hearts, you can get the Warden spawn egg with mob grinding utils and put it in the spawner. It will work.'])
	event.addItem('kubejs:arcane_ore', ['MaxY: 96, MinY: -32'])
	event.addItem('naturesaura:gold_leaf', ['To get this, right click on a tree leaf with brilliant fiber. It will spread over time. When the color of the leaf turns golden yellow, you can break it and obtain golden leaf.'])

	event.addItem('thermal:blizz_powder', ['Blizz Powder can now also be crafted with Fluid Encapsulator. Dont overlook this. You can still hunt the blizz mob as well.'])
	event.addItem('thermal:blitz_powder', ['Blitz Powder can now also be crafted with Fluid Encapsulator. Dont overlook this. You can still hunt the blitz mob as well.'])
	event.addItem('thermal:basalz_powder', ['Basalz Powder can now also be crafted with Fluid Encapsulator. Dont overlook this. You can still hunt the basalz mob as well.'])




	console.log('JEI Information');
 })







